Open CASCADE Technology: PGeom_OffsetCurve Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
PGeom_OffsetCurve Class Reference

`#include <PGeom_OffsetCurve.hxx>`

Inheritance diagram for PGeom_OffsetCurve:
[legend]

## Public Member Functions
| PGeom_OffsetCurve ()
| Creates an OffsetCurve with default values. More...
| PGeom_OffsetCurve (const Handle< PGeom_Curve > &aBasisCurve, const Standard_Real aOffsetValue, const gp_Dir &aOffsetDirection)
| <aBasisCurve> is the basis curve, <aOffsetValue> is the distance between <me> and the basis curve at any point. <aOffsetDirection> defines the fixed reference direction (offset direction). More...
void | BasisCurve (const Handle< PGeom_Curve > &aBasisCurve)
| Set the field basisCurve with <aBasisCurve>. More...
Handle< PGeom_Curve > | BasisCurve () const
| The basis curve can be an offset curve. More...
void | OffsetDirection (const gp_Dir &aOffsetDirection)
| Set the value of the field offsetDirection with <aOffsetDirection>. More...
gp_Dir | OffsetDirection () const
| Returns the direction of offset. More...
void | OffsetValue (const Standard_Real aOffsetValue)
| Set the field offsetValue with <aOffsetValue>. More...
Standard_Real | OffsetValue () const
| Returns the value of the field offsetValue. More...
| PGeom_OffsetCurve (const Storage_stCONSTclCOM &a)
Handle< PGeom_Curve > | _CSFDB_GetPGeom_OffsetCurvebasisCurve () const
void | _CSFDB_SetPGeom_OffsetCurvebasisCurve (const Handle< PGeom_Curve > &p)
const gp_Dir & | _CSFDB_GetPGeom_OffsetCurveoffsetDirection () const
Standard_Real | _CSFDB_GetPGeom_OffsetCurveoffsetValue () const
void | _CSFDB_SetPGeom_OffsetCurveoffsetValue (const Standard_Real p)
Public Member Functions inherited from PGeom_Curve
| PGeom_Curve (const Storage_stCONSTclCOM &a)
| PGeom_Curve ()
Public Member Functions inherited from PGeom_Geometry
| PGeom_Geometry (const Storage_stCONSTclCOM &a)
| PGeom_Geometry ()
Public Member Functions inherited from Standard_Persistent
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const

## Constructor & Destructor Documentation

PGeom_OffsetCurve::PGeom_OffsetCurve | ( |  | ) |

Creates an OffsetCurve with default values.

PGeom_OffsetCurve::PGeom_OffsetCurve | ( | const Handle< PGeom_Curve > & | aBasisCurve,
|  | const Standard_Real | aOffsetValue,
|  | const gp_Dir & | aOffsetDirection
| ) |  |

<aBasisCurve> is the basis curve, <aOffsetValue> is the distance between <me> and the basis curve at any point. <aOffsetDirection> defines the fixed reference direction (offset direction).

PGeom_OffsetCurve::PGeom_OffsetCurve | ( | const Storage_stCONSTclCOM & | a | ) |
| inline

## Member Function Documentation

Handle< PGeom_Curve > PGeom_OffsetCurve::_CSFDB_GetPGeom_OffsetCurvebasisCurve | ( |  | ) | const
| inline

const gp_Dir& PGeom_OffsetCurve::_CSFDB_GetPGeom_OffsetCurveoffsetDirection | ( |  | ) | const
| inline

Standard_Real PGeom_OffsetCurve::_CSFDB_GetPGeom_OffsetCurveoffsetValue | ( |  | ) | const
| inline

void PGeom_OffsetCurve::_CSFDB_SetPGeom_OffsetCurvebasisCurve | ( | const Handle< PGeom_Curve > & | p | ) |
| inline

void PGeom_OffsetCurve::_CSFDB_SetPGeom_OffsetCurveoffsetValue | ( | const Standard_Real | p | ) |
| inline

void PGeom_OffsetCurve::BasisCurve | ( | const Handle< PGeom_Curve > & | aBasisCurve | ) |

Set the field basisCurve with <aBasisCurve>.

Handle< PGeom_Curve > PGeom_OffsetCurve::BasisCurve | ( |  | ) | const

The basis curve can be an offset curve.

void PGeom_OffsetCurve::OffsetDirection | ( | const gp_Dir & | aOffsetDirection | ) |

Set the value of the field offsetDirection with <aOffsetDirection>.

gp_Dir PGeom_OffsetCurve::OffsetDirection | ( |  | ) | const

Returns the direction of offset.

void PGeom_OffsetCurve::OffsetValue | ( | const Standard_Real | aOffsetValue | ) |

Set the field offsetValue with <aOffsetValue>.

Standard_Real PGeom_OffsetCurve::OffsetValue | ( |  | ) | const

Returns the value of the field offsetValue.

The documentation for this class was generated from the following file:

- PGeom_OffsetCurve.hxx